Package com.complexible.stardog.virtual.api.admin

# Class VirtualGraphInfo

java.lang.Object
com.complexible.stardog.virtual.api.admin.VirtualGraphInfo

public class VirtualGraphInfo extends Object
Information about a virtual graph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VirtualGraphInfo(String name, String dataSourceName, String database, boolean available)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDatabase()`
  Returns the name the database that is associated with this virtual graph, or `"*"` if this virtual graph works with all databases.
  `String`
  `getDataSourceName()`
  Returns the name (namespace + local name) of the data source that provides the connection to the backing database for this virtual graph.
  `String`
  `getIri()`
  Returns the qualified name of the virtual graph as a String ("virtual://graphName").
  `String`
  `getName()`
  Returns the name of the virtual graph (not including virtual namespace).
  `boolean`
  `isAvailable()`
  Is the virtual graph available?
  `String`
  `toString()`
  `static VirtualGraphInfo`
  `toVirtualGraphInfo(VirtualGraph vg)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VirtualGraphInfo

    public VirtualGraphInfo(String name, String dataSourceName, String database, boolean available)

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of the virtual graph (not including virtual namespace).

  - ### getIri

    public String getIri()
    Returns the qualified name of the virtual graph as a String ("virtual://graphName").

  - ### getDataSourceName

    public String getDataSourceName()
    Returns the name (namespace + local name) of the data source that provides the connection to the backing database for this virtual graph.

  - ### getDatabase

    public String getDatabase()
    Returns the name the database that is associated with this virtual graph, or `"*"` if this virtual graph works with all databases.

  - ### isAvailable

    public boolean isAvailable()
    Is the virtual graph available?

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toVirtualGraphInfo

    public static VirtualGraphInfo toVirtualGraphInfo(VirtualGraph vg)